package com.mortals.xhx.module.check.service;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.check.model.CheckReviewRecordEntity;
import com.mortals.xhx.module.check.dao.CheckReviewRecordDao;
/**
* CheckReviewRecordService
*
* 评价差评绩效核查信息 service接口
*
* @author zxfei
* @date 2023-05-18
*/
public interface CheckReviewRecordService extends ICRUDService<CheckReviewRecordEntity,Long>{

    CheckReviewRecordDao getDao();

    /**
     * 核查人工审核
     * @param entity
     * @param context
     * @throws AppException
     */
    void examine(CheckReviewRecordEntity entity, Context context) throws AppException;
}